extends ../includes/layout
block content
    .d-flex.align-items-center.mb-4
        h4.fs-20.font-w600.mb-0.me-auto 
    .row
        .col-xl-12
            .row#list_lot
                #connent(style="display:none;")
                    .col-sm-4
                        .card
                            .card-body
                                h5.card-title -
                                p.card-text -
                                .mb-3
                                    i.fas.fa-calendar-day.me-2
                                        span.show_date.l-5 -
                                a.btn.btn-info.btn-md.apply-job.btn-join(href='asf')
                                    i.far.fa-check-circle.me-2
                                    | Join Auctions
block script
    script.

        getProduct();

        let product_start = '-'
        let product_step = $('#product_step').val()

        console.log(moment())


        var timestamp = (Date.now() + 1000 * 60 * 60 * 24 * 3) - Date.now();

        function component(x, v) {
            return Math.floor(x / v);
        }

        console.log($('#connent').html())


        function getProduct(){
            $.ajax({
                url: "#{base_url}home/load_product",
                method: "POST",
                dataType: "json",
                data :{
                    user_id:user_id
                },
                success: function (res, status, xhr) {

                    if(res.result){
                        //- swal("Success", data.message, "success");
                        $(res.lot).each(function(key,val){

                            $('#connent').find('.card-title').text(val.name)
                            $('#connent').find('.card-text').text(val.detail)
                            $('#connent').find('.show_date').text(moment(val.date_start).format('YYYY-MM-DD'))

                            $('#connent').find('.btn-join').attr('href','auction/'+val._id)

                            $('#list_lot').append( $('#connent').html())
                        });


                    }else{
                        sweetAlert("Oops...", data.message, "error");
                    }
                },
                error: function (xhr, ajaxOptions, thrownError) {
                    console.log(xhr.status);
                    console.log(thrownError);
                },
            });
        }